Available in Classic and VPC
Get PEM-format certificates and chains.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /certificate/exportCertificate/{certificateNo}/chain |
Request headers
For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
certificateNo |
Integer | Required | Certificate number |
Request example
The request example is as follows:
curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/exportCertificate/12345/chain' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
returnCode |
String | - | Response code |
returnMessage |
String | - | Response message |
totalRows |
Integer | - | Total number of lists searched |
subjectCommonName |
Integer | - | Certificate common name (CN) |
certificate |
String | - | Certificate's PEM format |
subCaCertificate |
String | - | SubCA certificate's PEM format |
rootCaCertificate |
String | - | RootCA certificate's PEM format |
Response status codes
For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.
Response example
The response example is as follows:
{
"returnCode": "0",
"returnMessage": "Success",
"totalRows": 0,
"subjectCommonName": "ncloud.com",
"certificate": "-----BEGIN CERTIFICATE-----\r\nMIIGfDCCBW ... k+ivSYiD+I6FIg=\r\n-----END CERTIFICATE-----",
"subCaCertificate": "-----BEGIN CERTIFICATE-----\r\nMIIFkzCCA3 ... JmVUsylyFd\r\n-----END CERTIFICATE-----",
"rootCaCertificate": "-----BEGIN CERTIFICATE-----\r\nMIIFojCCA4 ... uul\r\n9XXeifdy\r\n-----END CERTIFICATE-----"
}